Bug 830871 - Bundle disable deploy icon not available
Bundle disable deploy icon not available
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 10:40 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:14:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (73.84 KB, image/png)
2012-06-11 10:40 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-06-11 10:40:43 EDT
Created attachment 590954 [details]
screenshot

Description of problem:
Missing image (icon) Bundle_16_Disabled.png on diabled Bundle Deploy button.

How reproducible:
always

Perconditions:
Test Bundles is created

Steps to Reproduce:
1. Log in with rhq-admin user
2. Create role with unchecked  Manage Buble permission under Global persiomission 
3. Create test user with pervious role
4. Log out and log in with test user
5. Click on Bundles navigation tab
6. Click on "testBundle" link
  
Actual results:
icon on Deploy button is not visible

Expected results:
Both Deploy and Delete icons are visible on corresponding BUTTON

Additional info:
icon image - http://$RHQ_SERVER_HOST}:7080/coregui/images/subsystems/bundle/Bundle_16_Disabled.png
Screenshot attached
Comment 1 Jirka Kremser 2012-06-12 12:01:39 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=9801e8e

git log master
time:    Tue Jun 12 18:00:02 2012 +0200
commit:  9801e8e7b62f621c1e972497c5f38c11f0ff93f6
author:  Jirka Kremser - jkremser@redhat.com
message: [830871 - Bundle disable deploy icon not available] fixed, also little refactoring
Comment 2 Armine Hovsepyan 2012-06-14 05:49:15 EDT
verified on rhq.
Comment 3 Heiko W. Rupp 2013-08-31 06:14:31 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.